---
title: Monitors group search
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Monitors
---

# Monitors group search{% #monitors-group-search %}
Copy pageCopied
{% tab title="v1" %}

| Datadog site      | API endpoint                                                   |
| ----------------- | -------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/monitor/groups/search |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/monitor/groups/search |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/monitor/groups/search      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/monitor/groups/search      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/monitor/groups/search  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/monitor/groups/search     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/monitor/groups/search |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/monitor/groups/search |

### Overview

Search and filter your monitor groups details. This endpoint requires the `monitors_read` permission.

OAuth apps require the `monitors_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#monitors) to access this endpoint.



### Arguments

#### Query Strings

| Name     | Type    | Description                            |
| -------- | ------- | -------------------------------------- |
| query    | string  |                                        |
| page     | integer | Page to start paginating from.         |
| per_page | integer | Number of monitors to return per page. |
| sort     | string  |                                        |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The response of a monitor group search.

| Parent field | Field             | Type     | Description                                                                                                       |
| ------------ | ----------------- | -------- | ----------------------------------------------------------------------------------------------------------------- |
|              | counts            | object   | The counts of monitor groups per different criteria.                                                              |
| counts       | status            | [object] | Search facets.                                                                                                    |
| status       | count             | int64    | The number of found monitors with the listed value.                                                               |
| status       | name              |          | The facet value.                                                                                                  |
| counts       | type              | [object] | Search facets.                                                                                                    |
| type         | count             | int64    | The number of found monitors with the listed value.                                                               |
| type         | name              |          | The facet value.                                                                                                  |
|              | groups            | [object] | The list of found monitor groups.                                                                                 |
| groups       | group             | string   | The name of the group.                                                                                            |
| groups       | group_tags        | [string] | The list of tags of the monitor group.                                                                            |
| groups       | last_nodata_ts    | int64    | Latest timestamp the monitor group was in NO_DATA state.                                                          |
| groups       | last_triggered_ts | int64    | Latest timestamp the monitor group triggered.                                                                     |
| groups       | monitor_id        | int64    | The ID of the monitor.                                                                                            |
| groups       | monitor_name      | string   | The name of the monitor.                                                                                          |
| groups       | status            | enum     | The different states your monitor can be in. Allowed enum values: `Alert,Ignored,No Data,OK,Skipped,Unknown,Warn` |
|              | metadata          | object   | Metadata about the response.                                                                                      |
| metadata     | page              | int64    | The page to start paginating from.                                                                                |
| metadata     | page_count        | int64    | The number of pages.                                                                                              |
| metadata     | per_page          | int64    | The number of monitors to return per page.                                                                        |
| metadata     | total_count       | int64    | The total number of monitors.                                                                                     |

{% /tab %}

{% tab title="Example" %}

```json
{
  "counts": {
    "status": [
      {
        "count": 2,
        "name": "OK"
      }
    ],
    "type": [
      {
        "count": 2,
        "name": "metric"
      }
    ]
  },
  "groups": [
    {
      "group": "*",
      "group_tags": [
        "*"
      ],
      "last_nodata_ts": 0,
      "last_triggered_ts": 1525702966,
      "monitor_id": 2738266,
      "monitor_name": "[demo] Cassandra disk usage is high on {{host.name}}",
      "status": "OK"
    },
    {
      "group": "*",
      "group_tags": [
        "*"
      ],
      "last_nodata_ts": 0,
      "last_triggered_ts": 1525703008,
      "monitor_id": 1576648,
      "monitor_name": "[demo] Disk usage is high on {{host.name}}",
      "status": "OK"
    }
  ],
  "metadata": {
    "page": 0,
    "page_count": 2,
    "per_page": 30,
    "total_count": 2
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v1/monitor/groups/search" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Monitors group search returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v1.api.monitors_api import MonitorsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = MonitorsApi(api_client)
    response = api_instance.search_monitor_groups()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Monitors group search returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V1::MonitorsAPI.new
p api_instance.search_monitor_groups()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```ruby
require 'dogapi'

api_key = '<DATADOG_API_KEY>'
app_key = '<DATADOG_APPLICATION_KEY>'

dog = Dogapi::Client.new(api_key, app_key)

# Search monitor groups
dog.search_monitor_groups
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby-legacy) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Monitors group search returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV1"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV1.NewMonitorsApi(apiClient)
	resp, r, err := api.SearchMonitorGroups(ctx, *datadogV1.NewSearchMonitorGroupsOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `MonitorsApi.SearchMonitorGroups`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `MonitorsApi.SearchMonitorGroups`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Monitors group search returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v1.api.MonitorsApi;
import com.datadog.api.client.v1.model.MonitorGroupSearchResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    MonitorsApi apiInstance = new MonitorsApi(defaultClient);

    try {
      MonitorGroupSearchResponse result = apiInstance.searchMonitorGroups();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling MonitorsApi#searchMonitorGroups");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
from datadog import initialize, api

options = {
	'api_key': '<DATADOG_API_KEY>',
	'app_key': '<DATADOG_APPLICATION_KEY>'
}

initialize(**options)

# Search monitor groups
api.Monitor.search_groups()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python-legacy) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python "example.py"
##### 

```rust
// Monitors group search returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV1::api_monitors::MonitorsAPI;
use datadog_api_client::datadogV1::api_monitors::SearchMonitorGroupsOptionalParams;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = MonitorsAPI::with_config(configuration);
    let resp = api
        .search_monitor_groups(SearchMonitorGroupsOptionalParams::default())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Monitors group search returns "OK" response
 */

import { client, v1 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v1.MonitorsApi(configuration);

apiInstance
  .searchMonitorGroups()
  .then((data: v1.MonitorGroupSearchResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
